import _extends from "@babel/runtime/helpers/extends";
import { multipleRequire } from '@astql/core';
import pkg from 'solidity-parser-antlr/package.json';
import defaultParserInterface from '@astql/core/utils/defaultParserInterface';
var ID = 'solidity-parser-antlr';
export default _extends({}, defaultParserInterface, {
  id: ID,
  displayName: ID,
  version: pkg.version,
  homepage: pkg.homepage || 'https://github.com/federicobond/solidity-parser-antlr',
  loadParser: function loadParser(callback) {
    multipleRequire(['solidity-parser-antlr'], callback);
  },
  parse: function parse(parser, code, options) {
    return parser.parse(code, options);
  },
  opensByDefault: function opensByDefault(node, key) {
    return node.type === 'SourceUnit' || node.type === 'ContractDefinition' || key === 'children' || key === 'subNodes' || key === 'body';
  },
  getDefaultOptions: function getDefaultOptions() {
    return {
      range: true,
      loc: false,
      tolerant: false
    };
  },
  _getSettingsConfiguration: function _getSettingsConfiguration() {
    return {
      fields: ['range', 'loc', 'tolerant']
    };
  }
});